Bug 806323 - [REST API] obsolete link to itself in response to user
[REST API] obsolete link to itself in response to user
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Lili Nader
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 08:46 EDT by Andre Dietisheim
Modified: 2015-05-14 21:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:34:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Dietisheim 2012-03-23 08:46:32 EDT
If you GET on the url to the user resource you'll get a link in the response, that points to itself:

curl -k -H "Accept: application/xml" --user "adietish@redhat.com:PASSWORD" https://openshift.redhat.com/broker/rest/user -v


<response>
  <type>user</type>
  <messages/>
  <user>
    <login>adietish@redhat.com</login>
    <links>
    ...
      <link>
        <rel>Get user information</rel>
        <optional-params/>
        <href>/user</href>
        <required-params/>
        <method>GET</method>
      </link>
Comment 1 Lili Nader 2012-04-09 15:51:39 EDT
removed link
Comment 2 Xiaoli Tian 2012-04-12 06:36:06 EDT
Tested it on devenv-stage_166, /user link is removed, only have the following links :

<href>https://ec2-23-20-212-221.compute-1.amazonaws.com/broker/rest/user/keys</href>
          <optional-params/>
          <method>POST</method>
        </link>
        <link>
          <rel>Get SSH keys</rel>
          <required-params/>
          <href>https://ec2-23-20-212-221.compute-1.amazonaws.com/broker/rest/user/keys</href>
          <optional-params/>
          <method>GET</method>

Note You need to log in before you can comment on or make changes to this bug.